From d92aa191425f812ad1b13b27b27e8c3caa04cbc5 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: May 21 2015 21:00:51 +0000
Subject: [PATCH 21/254] Instructions for deps.  Fixes #1.


---

diff --git a/hubs/widgets/__init__.py b/hubs/widgets/__init__.py
index 30fc102..b030fd9 100644
--- a/hubs/widgets/__init__.py
+++ b/hubs/widgets/__init__.py
@@ -47,14 +47,15 @@ def prepare_registry(registry):
 #validate_registry(registry)
 prepare_registry(registry)
 
-def render(module, *args, **kwargs):
+def render(module, request, session, widget, *args, **kwargs):
     """ Main API entry point.
 
     Call this to render a widget into HTML
     """
 
+
     # The API returns exactly this data.  Shared cache
-    data = module.data(*args, **kwargs)
+    data = module.data(request, session, widget, *args, **kwargs)
 
     # Use the API data to fill out a template, and potentially decorate it.
     return module.render(**data)

